<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:roleRef xlink:type="simple" roleURI="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_rt_2023-12-01.xsd#rol_CTELabel" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_NumberOfDomesticConsolidatedSubsidiaries" xlink:label="NumberOfDomesticConsolidatedSubsidiaries" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_NumberOfOverseasConsolidatedSubsidiaries" xlink:label="NumberOfOverseasConsolidatedSubsidiaries" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_OilTanksNet" xlink:label="OilTanksNet" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_CustomerRelatedAssetsIA" xlink:label="CustomerRelatedAssetsIA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_ReferenceToOtherInformationStrategyHumanCapital" xlink:label="ReferenceToOtherInformationStrategyHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_GovernanceClimateChangeTextBlock" xlink:label="GovernanceClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_StrategyClimateChangeTextBlock" xlink:label="StrategyClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_RiskManagementClimateChangeTextBlock" xlink:label="RiskManagementClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_MetricsAndTargetsClimateChangeTextBlock" xlink:label="MetricsAndTargetsClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_SawaMasahikoMember" xlink:label="SawaMasahikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_SuzukiJunMember" xlink:label="SuzukiJunMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_KodamaHidefumiMember" xlink:label="KodamaHidefumiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_IchigeYumikoMember" xlink:label="IchigeYumikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_PerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficersAbstract" xlink:label="PerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficersAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_CashRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:label="CashRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_StockBasedRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:label="StockBasedRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_KitoShunichiMember" xlink:label="KitoShunichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_NibuyaSusumuMember" xlink:label="NibuyaSusumuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_HiranoAtsuhikoMember" xlink:label="HiranoAtsuhikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_SakaiNoriakiMember" xlink:label="SakaiNoriakiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_IdemitsuMasakazuMember" xlink:label="IdemitsuMasakazuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_KuboharaKazunariMember" xlink:label="KuboharaKazunariMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_KikkawaTakeoMember" xlink:label="KikkawaTakeoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_KadoMakiMember" xlink:label="KadoMakiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_YoshiokaTsutomuMember" xlink:label="YoshiokaTsutomuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_CapitalSurplusRelevantToGoodwill" xlink:label="CapitalSurplusRelevantToGoodwill" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_DecreaseByCorporateDivision" xlink:label="DecreaseByCorporateDivision" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_ReversalOfOtherRetainedEarningsORE" xlink:label="ReversalOfOtherRetainedEarningsORE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_ProvisionOfOtherRetainedEarningsORE" xlink:label="ProvisionOfOtherRetainedEarningsORE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_TotalSegmentProfit" xlink:label="TotalSegmentProfit" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_UnamortizedBalanceOfGoodwillSegmentInformation" xlink:label="UnamortizedBalanceOfGoodwillSegmentInformation" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_PetroleumReportableSegmentsMember" xlink:label="PetroleumReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_BasicChemicalsReportableSegmentsMember" xlink:label="BasicChemicalsReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_FunctionalMaterialsReportableSegmentsMember" xlink:label="FunctionalMaterialsReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_PowerAndRenewableEnergyReportableSegmentsMember" xlink:label="PowerAndRenewableEnergyReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_ResourcesReportableSegmentsMember" xlink:label="ResourcesReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_OperationalCostsSGA" xlink:label="OperationalCostsSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_NotesRegardingGainOnExtinguishmentOfTieInSharesTextBlock" xlink:label="NotesRegardingGainOnExtinguishmentOfTieInSharesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_LossOnSupportToSubsidiariesEL" xlink:label="LossOnSupportToSubsidiariesEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_NotesRegardingLossOnTransferOfBusinessTextBlock" xlink:label="NotesRegardingLossOnTransferOfBusinessTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_NagataShioriMember" xlink:label="NagataShioriMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01084-000_2024-03-31_01_2024-06-25.xsd#jpcrp030000-asr_E01084-000_TezukaMasahikoMember" xlink:label="TezukaMasahikoMember" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_OperatingIncome" xlink:label="OperatingIncome" />
    <link:label xlink:type="resource" xlink:label="label_OperatingIncome" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_OperatingIncome">Operating profit</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OperatingIncome" xlink:to="label_OperatingIncome" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionOfOtherRetainedEarningsORE" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProvisionOfOtherRetainedEarningsORE">Provision of other retained earnings</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionOfOtherRetainedEarningsORE" xlink:to="label_ProvisionOfOtherRetainedEarningsORE" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionOfOtherRetainedEarningsORE_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProvisionOfOtherRetainedEarningsORE_2">Provision of other retained earnings-ORE</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionOfOtherRetainedEarningsORE" xlink:to="label_ProvisionOfOtherRetainedEarningsORE_2" />
    <link:label xlink:type="resource" xlink:label="label_ReversalOfOtherRetainedEarningsORE" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReversalOfOtherRetainedEarningsORE">Reversal of other retained earnings</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReversalOfOtherRetainedEarningsORE" xlink:to="label_ReversalOfOtherRetainedEarningsORE" />
    <link:label xlink:type="resource" xlink:label="label_ReversalOfOtherRetainedEarningsORE_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReversalOfOtherRetainedEarningsORE_2">Reversal of other retained earnings-ORE</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReversalOfOtherRetainedEarningsORE" xlink:to="label_ReversalOfOtherRetainedEarningsORE_2" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseByCorporateDivision" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DecreaseByCorporateDivision">Decrease by corporate division</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseByCorporateDivision" xlink:to="label_DecreaseByCorporateDivision" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseByCorporateDivision_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DecreaseByCorporateDivision_2">Decrease by corporate division</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseByCorporateDivision" xlink:to="label_DecreaseByCorporateDivision_2" />
    <link:label xlink:type="resource" xlink:label="label_CapitalSurplusRelevantToGoodwill" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CapitalSurplusRelevantToGoodwill">Capital Surplus (relevant to goodwill)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CapitalSurplusRelevantToGoodwill" xlink:to="label_CapitalSurplusRelevantToGoodwill" />
    <link:label xlink:type="resource" xlink:label="label_CapitalSurplusRelevantToGoodwill_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CapitalSurplusRelevantToGoodwill_2">Capital Surplus (relevant to goodwill)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CapitalSurplusRelevantToGoodwill" xlink:to="label_CapitalSurplusRelevantToGoodwill_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategyHumanCapital_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationStrategyHumanCapital_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategyHumanCapital" xlink:to="label_ReferenceToOtherInformationStrategyHumanCapital_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategyHumanCapital" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationStrategyHumanCapital">Reference to other information, Strategy, Human capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategyHumanCapital" xlink:to="label_ReferenceToOtherInformationStrategyHumanCapital" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceClimateChangeTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GovernanceClimateChangeTextBlock">Governance, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceClimateChangeTextBlock" xlink:to="label_GovernanceClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceClimateChangeTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GovernanceClimateChangeTextBlock_2">Governance, Climate change [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceClimateChangeTextBlock" xlink:to="label_GovernanceClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyClimateChangeTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StrategyClimateChangeTextBlock_2">Strategy, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyClimateChangeTextBlock" xlink:to="label_StrategyClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyClimateChangeTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StrategyClimateChangeTextBlock">Strategy, Climate change [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyClimateChangeTextBlock" xlink:to="label_StrategyClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementClimateChangeTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RiskManagementClimateChangeTextBlock_2">Risk management, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementClimateChangeTextBlock" xlink:to="label_RiskManagementClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementClimateChangeTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RiskManagementClimateChangeTextBlock">Risk management, Climate change [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementClimateChangeTextBlock" xlink:to="label_RiskManagementClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsClimateChangeTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MetricsAndTargetsClimateChangeTextBlock_2">Metrics and targets, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsClimateChangeTextBlock" xlink:to="label_MetricsAndTargetsClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsClimateChangeTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MetricsAndTargetsClimateChangeTextBlock">Metrics and targets, Climate change [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsClimateChangeTextBlock" xlink:to="label_MetricsAndTargetsClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingGainOnExtinguishmentOfTieInSharesTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingGainOnExtinguishmentOfTieInSharesTextBlock">Notes regarding gain on extinguishment of tie-in shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingGainOnExtinguishmentOfTieInSharesTextBlock" xlink:to="label_NotesRegardingGainOnExtinguishmentOfTieInSharesTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingGainOnExtinguishmentOfTieInSharesTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingGainOnExtinguishmentOfTieInSharesTextBlock_2">Notes regarding gain on extinguishment of tie-in shares [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingGainOnExtinguishmentOfTieInSharesTextBlock" xlink:to="label_NotesRegardingGainOnExtinguishmentOfTieInSharesTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_LossOnSupportToSubsidiariesEL" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_LossOnSupportToSubsidiariesEL">Loss on support to subsidiaries</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnSupportToSubsidiariesEL" xlink:to="label_LossOnSupportToSubsidiariesEL" />
    <link:label xlink:type="resource" xlink:label="label_LossOnSupportToSubsidiariesEL_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_LossOnSupportToSubsidiariesEL_2">Loss on support to subsidiaries-EL</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnSupportToSubsidiariesEL" xlink:to="label_LossOnSupportToSubsidiariesEL_2" />
    <link:label xlink:type="resource" xlink:label="label_OperationalCostsSGA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OperationalCostsSGA">Operational costs</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OperationalCostsSGA" xlink:to="label_OperationalCostsSGA" />
    <link:label xlink:type="resource" xlink:label="label_OperationalCostsSGA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OperationalCostsSGA_2">Operational costs-SGA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OperationalCostsSGA" xlink:to="label_OperationalCostsSGA_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnTransferOfBusinessTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingLossOnTransferOfBusinessTextBlock_2">Notes regarding loss on transfer of business</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnTransferOfBusinessTextBlock" xlink:to="label_NotesRegardingLossOnTransferOfBusinessTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnTransferOfBusinessTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingLossOnTransferOfBusinessTextBlock">Notes regarding loss on transfer of business [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnTransferOfBusinessTextBlock" xlink:to="label_NotesRegardingLossOnTransferOfBusinessTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NibuyaSusumuMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NibuyaSusumuMember">Nibuya, Susumu</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NibuyaSusumuMember" xlink:to="label_NibuyaSusumuMember" />
    <link:label xlink:type="resource" xlink:label="label_NibuyaSusumuMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NibuyaSusumuMember_2">Nibuya, Susumu [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NibuyaSusumuMember" xlink:to="label_NibuyaSusumuMember_2" />
    <link:label xlink:type="resource" xlink:label="label_PerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficersAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficersAbstract">Performance-based remuneration</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficersAbstract" xlink:to="label_PerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficersAbstract" />
    <link:label xlink:type="resource" xlink:label="label_PerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficersAbstract_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficersAbstract_2">Performance-based remuneration, Remuneration, etc. by category of directors (and other officers) [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficersAbstract" xlink:to="label_PerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficersAbstract_2" />
    <link:label xlink:type="resource" xlink:label="label_CashRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CashRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers">Cash remuneration</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_CashRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:label xlink:type="resource" xlink:label="label_CashRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CashRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2">Cash remuneration, Performance-based remuneration, Remuneration, etc. by category of directors (and other officers)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_CashRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" />
    <link:label xlink:type="resource" xlink:label="label_StockBasedRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StockBasedRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers">Stock-based remuneration</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StockBasedRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_StockBasedRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:label xlink:type="resource" xlink:label="label_StockBasedRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StockBasedRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2">Stock-based remuneration, Performance-based remuneration, Remuneration, etc. by category of directors (and other officers)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StockBasedRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_StockBasedRemunerationPerformanceBasedRemunerationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" />
    <link:label xlink:type="resource" xlink:label="label_TotalSegmentProfit" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TotalSegmentProfit">Total segment profit</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalSegmentProfit" xlink:to="label_TotalSegmentProfit" />
    <link:label xlink:type="resource" xlink:label="label_TotalSegmentProfit_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TotalSegmentProfit_2">Total segment profit</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalSegmentProfit" xlink:to="label_TotalSegmentProfit_2" />
    <link:label xlink:type="resource" xlink:label="label_TotalSegmentProfit_3" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_TotalSegmentProfit_3">Total segment profit</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalSegmentProfit" xlink:to="label_TotalSegmentProfit_3" />
    <link:label xlink:type="resource" xlink:label="label_TotalSegmentProfit_4" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/positiveLabel" id="label_TotalSegmentProfit_4">Total segment profit</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalSegmentProfit" xlink:to="label_TotalSegmentProfit_4" />
    <link:label xlink:type="resource" xlink:label="label_UnamortizedBalanceOfGoodwillSegmentInformation" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_UnamortizedBalanceOfGoodwillSegmentInformation">Unamortized balance of goodwill</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UnamortizedBalanceOfGoodwillSegmentInformation" xlink:to="label_UnamortizedBalanceOfGoodwillSegmentInformation" />
    <link:label xlink:type="resource" xlink:label="label_UnamortizedBalanceOfGoodwillSegmentInformation_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_UnamortizedBalanceOfGoodwillSegmentInformation_2">Unamortized balance of goodwill, Segment information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UnamortizedBalanceOfGoodwillSegmentInformation" xlink:to="label_UnamortizedBalanceOfGoodwillSegmentInformation_2" />
    <link:label xlink:type="resource" xlink:label="label_OilTanksNet" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OilTanksNet">Oil tanks</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OilTanksNet" xlink:to="label_OilTanksNet" />
    <link:label xlink:type="resource" xlink:label="label_OilTanksNet_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OilTanksNet_2">Oil tanks,net</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OilTanksNet" xlink:to="label_OilTanksNet_2" />
    <link:label xlink:type="resource" xlink:label="label_OilTanksNet_3" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" id="label_OilTanksNet_3">Oil tanks</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OilTanksNet" xlink:to="label_OilTanksNet_3" />
    <link:label xlink:type="resource" xlink:label="label_CustomerRelatedAssetsIA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CustomerRelatedAssetsIA">Customer-related assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CustomerRelatedAssetsIA" xlink:to="label_CustomerRelatedAssetsIA" />
    <link:label xlink:type="resource" xlink:label="label_CustomerRelatedAssetsIA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CustomerRelatedAssetsIA_2">Customer-related assets-IA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CustomerRelatedAssetsIA" xlink:to="label_CustomerRelatedAssetsIA_2" />
    <link:label xlink:type="resource" xlink:label="label_PetroleumReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PetroleumReportableSegmentsMember">Petroleum</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PetroleumReportableSegmentsMember" xlink:to="label_PetroleumReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_PetroleumReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PetroleumReportableSegmentsMember_2">Petroleum,Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PetroleumReportableSegmentsMember" xlink:to="label_PetroleumReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_BasicChemicalsReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_BasicChemicalsReportableSegmentsMember">Basic Chemicals</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BasicChemicalsReportableSegmentsMember" xlink:to="label_BasicChemicalsReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_BasicChemicalsReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_BasicChemicalsReportableSegmentsMember_2">Basic Chemicals,Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BasicChemicalsReportableSegmentsMember" xlink:to="label_BasicChemicalsReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_FunctionalMaterialsReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_FunctionalMaterialsReportableSegmentsMember">Functional Materials</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FunctionalMaterialsReportableSegmentsMember" xlink:to="label_FunctionalMaterialsReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_FunctionalMaterialsReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_FunctionalMaterialsReportableSegmentsMember_2">Functional Materials,Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FunctionalMaterialsReportableSegmentsMember" xlink:to="label_FunctionalMaterialsReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_PowerAndRenewableEnergyReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PowerAndRenewableEnergyReportableSegmentsMember">Power and Renewable Energy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PowerAndRenewableEnergyReportableSegmentsMember" xlink:to="label_PowerAndRenewableEnergyReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_PowerAndRenewableEnergyReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PowerAndRenewableEnergyReportableSegmentsMember_2">Power and Renewable Energy,Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PowerAndRenewableEnergyReportableSegmentsMember" xlink:to="label_PowerAndRenewableEnergyReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ResourcesReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ResourcesReportableSegmentsMember">Resources</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ResourcesReportableSegmentsMember" xlink:to="label_ResourcesReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_ResourcesReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ResourcesReportableSegmentsMember_2">Resources, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ResourcesReportableSegmentsMember" xlink:to="label_ResourcesReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NumberOfDomesticConsolidatedSubsidiaries" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NumberOfDomesticConsolidatedSubsidiaries">Number of domestic consolidated subsidiaries</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NumberOfDomesticConsolidatedSubsidiaries" xlink:to="label_NumberOfDomesticConsolidatedSubsidiaries" />
    <link:label xlink:type="resource" xlink:label="label_NumberOfDomesticConsolidatedSubsidiaries_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NumberOfDomesticConsolidatedSubsidiaries_2">Number of domestic consolidated subsidiaries</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NumberOfDomesticConsolidatedSubsidiaries" xlink:to="label_NumberOfDomesticConsolidatedSubsidiaries_2" />
    <link:label xlink:type="resource" xlink:label="label_NumberOfOverseasConsolidatedSubsidiaries" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NumberOfOverseasConsolidatedSubsidiaries">Number of overseas consolidated subsidiaries</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NumberOfOverseasConsolidatedSubsidiaries" xlink:to="label_NumberOfOverseasConsolidatedSubsidiaries" />
    <link:label xlink:type="resource" xlink:label="label_NumberOfOverseasConsolidatedSubsidiaries_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NumberOfOverseasConsolidatedSubsidiaries_2">Number of overseas consolidated subsidiaries</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NumberOfOverseasConsolidatedSubsidiaries" xlink:to="label_NumberOfOverseasConsolidatedSubsidiaries_2" />
    <link:label xlink:type="resource" xlink:label="label_KitoShunichiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KitoShunichiMember">Kito, Shunichi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KitoShunichiMember" xlink:to="label_KitoShunichiMember" />
    <link:label xlink:type="resource" xlink:label="label_KitoShunichiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KitoShunichiMember_2">Kito, Shunichi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KitoShunichiMember" xlink:to="label_KitoShunichiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_HiranoAtsuhikoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HiranoAtsuhikoMember">Hirano, Atsuhiko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HiranoAtsuhikoMember" xlink:to="label_HiranoAtsuhikoMember" />
    <link:label xlink:type="resource" xlink:label="label_HiranoAtsuhikoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HiranoAtsuhikoMember_2">Hirano, Atsuhiko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HiranoAtsuhikoMember" xlink:to="label_HiranoAtsuhikoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SakaiNoriakiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SakaiNoriakiMember">Sakai, Noriaki</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SakaiNoriakiMember" xlink:to="label_SakaiNoriakiMember" />
    <link:label xlink:type="resource" xlink:label="label_SakaiNoriakiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SakaiNoriakiMember_2">Sakai, Noriaki [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SakaiNoriakiMember" xlink:to="label_SakaiNoriakiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SawaMasahikoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SawaMasahikoMember">Sawa, Masahiko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SawaMasahikoMember" xlink:to="label_SawaMasahikoMember" />
    <link:label xlink:type="resource" xlink:label="label_SawaMasahikoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SawaMasahikoMember_2">Sawa, Masahiko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SawaMasahikoMember" xlink:to="label_SawaMasahikoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_IdemitsuMasakazuMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IdemitsuMasakazuMember">Idemitsu, Masakazu [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IdemitsuMasakazuMember" xlink:to="label_IdemitsuMasakazuMember" />
    <link:label xlink:type="resource" xlink:label="label_IdemitsuMasakazuMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IdemitsuMasakazuMember_2">Idemitsu, Masakazu</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IdemitsuMasakazuMember" xlink:to="label_IdemitsuMasakazuMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KuboharaKazunariMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KuboharaKazunariMember">Kubohara, Kazunari [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KuboharaKazunariMember" xlink:to="label_KuboharaKazunariMember" />
    <link:label xlink:type="resource" xlink:label="label_KuboharaKazunariMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KuboharaKazunariMember_2">Kubohara, Kazunari</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KuboharaKazunariMember" xlink:to="label_KuboharaKazunariMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KikkawaTakeoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KikkawaTakeoMember">Kikkawa, Takeo [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KikkawaTakeoMember" xlink:to="label_KikkawaTakeoMember" />
    <link:label xlink:type="resource" xlink:label="label_KikkawaTakeoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KikkawaTakeoMember_2">Kikkawa, Takeo</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KikkawaTakeoMember" xlink:to="label_KikkawaTakeoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KadoMakiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KadoMakiMember">Kado, Maki</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KadoMakiMember" xlink:to="label_KadoMakiMember" />
    <link:label xlink:type="resource" xlink:label="label_KadoMakiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KadoMakiMember_2">Kado, Maki [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KadoMakiMember" xlink:to="label_KadoMakiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SuzukiJunMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SuzukiJunMember_2">Suzuki, Jun</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SuzukiJunMember" xlink:to="label_SuzukiJunMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SuzukiJunMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SuzukiJunMember">Suzuki, Jun [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SuzukiJunMember" xlink:to="label_SuzukiJunMember" />
    <link:label xlink:type="resource" xlink:label="label_NagataShioriMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NagataShioriMember">Nagata, Shiori</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NagataShioriMember" xlink:to="label_NagataShioriMember" />
    <link:label xlink:type="resource" xlink:label="label_NagataShioriMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NagataShioriMember_2">Nagata, Shiori [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NagataShioriMember" xlink:to="label_NagataShioriMember_2" />
    <link:label xlink:type="resource" xlink:label="label_YoshiokaTsutomuMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_YoshiokaTsutomuMember">Yoshioka, Tsutomu</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YoshiokaTsutomuMember" xlink:to="label_YoshiokaTsutomuMember" />
    <link:label xlink:type="resource" xlink:label="label_YoshiokaTsutomuMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_YoshiokaTsutomuMember_2">Yoshioka, Tsutomu [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YoshiokaTsutomuMember" xlink:to="label_YoshiokaTsutomuMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KodamaHidefumiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KodamaHidefumiMember">Kodama, Hidefumi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KodamaHidefumiMember" xlink:to="label_KodamaHidefumiMember" />
    <link:label xlink:type="resource" xlink:label="label_KodamaHidefumiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KodamaHidefumiMember_2">Kodama, Hidefumi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KodamaHidefumiMember" xlink:to="label_KodamaHidefumiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_IchigeYumikoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IchigeYumikoMember">Ichige, Yumiko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IchigeYumikoMember" xlink:to="label_IchigeYumikoMember" />
    <link:label xlink:type="resource" xlink:label="label_IchigeYumikoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IchigeYumikoMember_2">Ichige, Yumiko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IchigeYumikoMember" xlink:to="label_IchigeYumikoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TezukaMasahikoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TezukaMasahikoMember">Tezuka, masahiko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TezukaMasahikoMember" xlink:to="label_TezukaMasahikoMember" />
    <link:label xlink:type="resource" xlink:label="label_TezukaMasahikoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TezukaMasahikoMember_2">Tezuka, masahiko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TezukaMasahikoMember" xlink:to="label_TezukaMasahikoMember_2" />
  </link:labelLink>
</link:linkbase>